1

I'm trying to make the installation package python Pyajam

I tried to install for pip, I received an error 4Suite-XML package

$ pip install Pyajam

Installing collected packages: pyajam, 4Suite-XML
Running setup.py install for pyajam

Running setup.py install for 4Suite-XML
Usage:
-c [global_opts] cmd1 [cmd1_opts] [cmd2 [cmd2_opts] ...]
-c --help [cmd1 cmd2 ...]
-c cmd --help
-c --help-commands
-c --help-packages

error: option --single-version-externally-managed not recognized
Complete output from command /usr/bin/python -c "import   
XML/setup.py';exec(compile(open(__file__).read().replace('\r\n', '\n'), __file_'exec'))"     install --single-version-externally-managed --record /tmp/pip-YlpamB-   record/install-  record.txt:
Usage:

-c [global_opts] cmd1 [cmd1_opts] [cmd2 [cmd2_opts] ...]
-c --help [cmd1 cmd2 ...]
-c cmd --help
-c --help-commands
-c --help-packages

error: option --single-version-externally-managed not recognized

The error appears with the installation of 4Suite-XML package, the dependence pyajam

I tried to install only 4Suite-XML

pip install 4Suite-XML 

Return the same error

Finally I tried to install by apt

apt-get install python-pyajam
apt-get install python-4Suite-XML

Unable to find package python-pyajam or python-4Suite-XML

6
  • Please give the exact command line you used when trying to install. – Faheem Mitha Nov 19 '14 at 11:22
  • I tried with, pip install pyajam – Fndiaz Nov 19 '14 at 11:32
  • 1
    Put the command at the beginning of the output, not in a comment. – Faheem Mitha Nov 19 '14 at 13:13
  • How are you installing the pip package? How you installed pip? – Braiam Nov 19 '14 at 13:32
  • the package pip this installed for apt-get install python-pip, is working. The problem is the packet python 4Suite-XML – Fndiaz Nov 19 '14 at 14:29
0

I solved the problem. Compile the package

$ wget http://pypi.python.org/packages/source/4/4Suite-XML/4Suite-XML-1.0.2.tar.bz2

$ tar -xvvf 4Suite-XML-1.0.2.tar.bz2

$ cd 4Suite-XML-1.0.2

$ ./setup.py install


------------------------------------------------------------------------
4Suite-XML version 1.0.2 has been successfully installed!

Python modules (including C extensions)
/usr/local/lib/python2.7/dist-packages

Executable scripts (for PATH environment variable)
/usr/local/bin

Examples, demos and other miscellaneous data files
/usr/local/share/4Suite

Developer files (regression tests)
/usr/local/lib/4Suite

Text documentation
/usr/local/share/doc/4Suite

HTML documentation
/usr/local/share/doc/4Suite/html

Thank you all =]

Your Answer

By clicking “Post Your Answer”, you agree to our terms of service, privacy policy and cookie policy

Not the answer you're looking for? Browse other questions tagged or ask your own question.